| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
arm_dct4_init_q15.c File Reference

## Functions
arm_status | arm_dct4_init_q15 (arm_dct4_instance_q15 *S, arm_rfft_instance_q15 *S_RFFT, arm_cfft_radix4_instance_q15 *S_CFFT, uint16_t N, uint16_t Nby2, q15_t normalize)
| Initialization function for the Q15 DCT4/IDCT4. More...

## Variables
static const q15_t ALIGN4 | WeightsQ15_128 [256]
static const q15_t ALIGN4 | WeightsQ15_512 [1024]
static const q15_t ALIGN4 | WeightsQ15_2048 [4096]
static const q15_t ALIGN4 | WeightsQ15_8192 [16384]
static const q15_t ALIGN4 | cos_factorsQ15_128 [128]
static const q15_t ALIGN4 | cos_factorsQ15_512 [512]
static const q15_t ALIGN4 | cos_factorsQ15_2048 [2048]
static const q15_t ALIGN4 | cos_factorsQ15_8192 [8192]